﻿using CH.Regatron.HPPS.TFE;

namespace TopConAPIDotNet4WPFExample.SasSimulation
{
  public class TfeCurveItem
  {
    public TfeCurveItem(TFECurve curve)
    {
      TFECurve = curve;
      SeqNo = curve.GetSequenceNumber();
      CurveName = curve.GetSequenceName();
      IsSas = curve.GetGeneralEnable();
    }

    public uint SeqNo { get; private set; }
    public string CurveName { get; private set; }

    public bool IsSas { get; private set; }

    public TFECurve TFECurve { get; private set; }

    public override string ToString()
    {
      return $"{SeqNo} | {CurveName} | {IsSas}";
    }
  }
}
